import { BigNumber } from "@ethersproject/bignumber";
import type { PopulatedTransaction } from "@ethersproject/contracts";
export declare namespace GasUtils {
    type GasParams = {
        maxFeePerGas?: BigNumber;
        maxPriorityFee?: BigNumber;
        gasPrice?: BigNumber;
        bridgeGasLimit?: BigNumber;
        approveGasLimit?: BigNumber;
    };
    export function approveLimit(chainId: number): BigNumber | null;
    export function bridgeGasLimit(chainId: number): BigNumber | null;
    export const makeGasParams: (chainId: number) => GasParams;
    export const populateGasParams: (chainId: number, txn: PopulatedTransaction | Promise<PopulatedTransaction>, gasLimitKind: "bridge" | "approve") => Promise<PopulatedTransaction>;
    export {};
}
