import { BigNumber } from "@ethersproject/bignumber";
export declare type ChainGasPrices = {
    min: BigNumber;
    avg: BigNumber;
    max: BigNumber;
    last: BigNumber;
};
/**
 * Returns the minimum, average, and maximum gas prices from the most recently mined block
 * on a given Chain, as well as the result of eth_getGasPrice.
 * @param chainId
 */
export declare function fetchChainGasPrices(chainId: number): Promise<ChainGasPrices>;
