import type { Token } from "../token";
import { AllowanceError, TransactionError } from "./errors";
import { BigNumber, type BigNumberish } from "@ethersproject/bignumber";
import type { ContractTransaction } from "@ethersproject/contracts";
declare function useCheckAllowance(ethereum: any, chainId: number): readonly [(args: {
    token: Token;
    spender: string;
}) => void, BigNumber];
declare function useApproveTokenSpend(ethereum: any, chainId: number): readonly [(args: {
    token: Token;
    spender: string;
    amount?: BigNumberish;
}) => void, ContractTransaction];
declare function useApproveStatus(ethereum: any, chainId: number): readonly [(args: {
    token: Token;
    spender: string;
    amount?: BigNumberish;
    approveTx: ContractTransaction;
}) => void, boolean, BigNumber];
export { TransactionError, AllowanceError, useApproveTokenSpend, useApproveStatus, useCheckAllowance };
